/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workaftermath.entity;

import com.jeeplus.modules.workbidingproject.entity.WorkBidingProject;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.workclientinfo.entity.WorkClientInfo;
import com.jeeplus.modules.workprojectdeposit.entity.WorkProjectDeposit;

/**
 * 评标后工作管理Entity
 * @author liuw
 * @version 2017-12-26
 */
public class WorkAftermath extends DataEntity<WorkAftermath> {
	
	private static final long serialVersionUID = 1L;
	private WorkBidingProject workBidingProject;		// 招标项目
	private String companyId;		// company_id
	private String officeId;		// office_id
	private String bidAmount;		// 中标金额
	private Date dateStart;		// 工期（起）
	private Date dateEnd;		// 工期（止）
	private String projectMaster;		// 项目经理
	private String agencyType;		// 代理费缴纳方类型
	private String payName;		// 缴纳方全称
	private String invoiceNumber;		// 发票号
	private Date invoiceDate;		// 开票时间
	private List list;//企业保证金
	private WorkClientInfo workClientInfo; //委托方

	public WorkClientInfo getWorkClientInfo() {
		return workClientInfo;
	}

	public void setWorkClientInfo(WorkClientInfo workClientInfo) {
		this.workClientInfo = workClientInfo;
	}

	public List getList() {
		return list;
	}

	public void setList(List list) {
		this.list = list;
	}

	public WorkAftermath() {
		super();
	}

	public WorkAftermath(String id){
		super(id);
	}

	@ExcelField(title="招标项目", align=2, sort=7)
	public WorkBidingProject getWorkBidingProject() {
		return workBidingProject;
	}

	public void setWorkBidingProject(WorkBidingProject workBidingProject) {
		this.workBidingProject = workBidingProject;
	}
	
	@ExcelField(title="company_id", align=2, sort=8)
	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	
	@ExcelField(title="office_id", align=2, sort=9)
	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	
	@ExcelField(title="中标金额", align=2, sort=10)
	public String getBidAmount() {
		return bidAmount;
	}

	public void setBidAmount(String bidAmount) {
		this.bidAmount = bidAmount;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="工期（起）", align=2, sort=11)
	public Date getDateStart() {
		return dateStart;
	}

	public void setDateStart(Date dateStart) {
		this.dateStart = dateStart;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="工期（止）", align=2, sort=12)
	public Date getDateEnd() {
		return dateEnd;
	}

	public void setDateEnd(Date dateEnd) {
		this.dateEnd = dateEnd;
	}
	
	@ExcelField(title="项目经理", align=2, sort=13)
	public String getProjectMaster() {
		return projectMaster;
	}

	public void setProjectMaster(String projectMaster) {
		this.projectMaster = projectMaster;
	}
	
	@ExcelField(title="代理费缴纳方类型", dictType="", align=2, sort=14)
	public String getAgencyType() {
		return agencyType;
	}

	public void setAgencyType(String agencyType) {
		this.agencyType = agencyType;
	}
	
	@ExcelField(title="缴纳方全称", align=2, sort=15)
	public String getPayName() {
		return payName;
	}

	public void setPayName(String payName) {
		this.payName = payName;
	}
	
	@ExcelField(title="发票号", align=2, sort=16)
	public String getInvoiceNumber() {
		return invoiceNumber;
	}

	public void setInvoiceNumber(String invoiceNumber) {
		this.invoiceNumber = invoiceNumber;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="开票时间", align=2, sort=17)
	public Date getInvoiceDate() {
		return invoiceDate;
	}

	public void setInvoiceDate(Date invoiceDate) {
		this.invoiceDate = invoiceDate;
	}
	
}